Subject: Re: (XoJIG 1251) new POSIX locales

From: [email-masked] (Keld J|rn Simonsen)
Date: Fri, 3 Dec 1993 18:39:05 +0100

[email-masked] writes:

> I have looked at the new locales -- mainly en_DK, since other locales
> are dependent on this locale. This is what I have found:
> 
>  - there are multiple escape_char and comment_char definitions

they will be removed

>  - collating symbols are defined, but not used
>  - en_DK contains a copy "en_DK" for LC_CTYPE

changed.

Just in time! I was about to release them in the weekend.

>  Gary Miller pointed out a couple of errors in the submitted
>  locales, these have now been corrected. The errors corrected are:
>  
>  1. collating-symbols cannot have weights, these have been
>     removed for the collating-symbols [a-z]8
>  
> The weights have been removed, but the symbols are still there and
> are not used anywhere. These should be removed for tidiness.

They are used for hooks for other locales.
This is how en_DK can be used as the master locale.